<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__gatt__common__api" kind="group">
    <compoundname>gatt_common_api</compoundname>
    <title>Connection API</title>
    <innergroup refid="group__gatt__le">BLE (Bluetooth Low Energy)</innergroup>
    <innergroup refid="group__gatt__br">BR/EDR (Bluetooth Basic Rate / Enhanced Data Rate)</innergroup>
    <innergroup refid="group__gatt__eatt__functions">EATT</innergroup>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__gatt__common__api_1ga4957d5c9ddc93abbcaac2c3bded135c9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_register</definition>
        <argsstring>(wiced_bt_gatt_cback_t *p_gatt_cback)</argsstring>
        <name>wiced_bt_gatt_register</name>
        <param>
          <type><ref kindref="member" refid="group__wicedbt__gatt_1ga826a5f3ef4bd8587ee6af52ed9b4a4f2">wiced_bt_gatt_cback_t</ref> *</type>
          <declname>p_gatt_cback</declname>
        </param>
        <briefdescription>
<para>Register an application callback for GATT. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_gatt_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>: The GATT notification callback</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1ga972f2437538363989cee28019cb06652">wiced_bt_gatt_status_t </ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1282" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__common__api_1gac384524f7e61172da9eb0beb764ed46d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_cancel_connect</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, wiced_bool_t is_direct)</argsstring>
        <name>wiced_bt_gatt_cancel_connect</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>is_direct</declname>
        </param>
        <briefdescription>
<para>Cancel initiating GATT connection. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote device address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_direct</parametername>
</parameternamelist>
<parameterdescription>
<para>: Is direct connection or not</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><bold> TRUE </bold> : If connection started <bold> FALSE </bold> : If connection start failure </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1295" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__common__api_1ga15d5aff42e22c934fbbde1a7a2680ff6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_disconnect</definition>
        <argsstring>(uint16_t conn_id)</argsstring>
        <name>wiced_bt_gatt_disconnect</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <briefdescription>
<para>Close the specified GATT connection. </para>
        </briefdescription>
        <detaileddescription>
<para>Result is notified using <bold> GATT_CONNECTION_STATUS_EVT </bold> of <ref kindref="member" refid="group__wicedbt__gatt_1ga826a5f3ef4bd8587ee6af52ed9b4a4f2">wiced_bt_gatt_cback_t</ref>.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: GATT connection ID</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1ga972f2437538363989cee28019cb06652">wiced_bt_gatt_status_t </ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1307" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gatt__common__api_1ga0b2a1699f347b8290200fd9869ec5e1e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_get_device_address</definition>
        <argsstring>(uint16_t conn_id, wiced_bt_device_address_t *p_bdaddr)</argsstring>
        <name>wiced_bt_gatt_get_device_address</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref> *</type>
          <declname>p_bdaddr</declname>
        </param>
        <briefdescription>
<para>API to get the bluetooth device address of the conn_id. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: Connection handle of the gatt bearer </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_bdaddr</parametername>
</parameternamelist>
<parameterdescription>
<para>: <ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="1403" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT Profile Connection Functions. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>